<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/GStreamerMediaPlayer Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_e1f7d5df1447213cfb529aad5fa2c859.html">GStreamerMediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GStreamerMediaPlayer Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for GStreamerMediaPlayer:</div>
<div class="dyncontent">
<div class="center"><img src="dir_e1f7d5df1447213cfb529aad5fa2c859_dep.png" border="0" usemap="#dir__e1f7d5df1447213cfb529aad5fa2c859__dep" alt="/workplace/avs-device-sdk/MediaPlayer/GStreamerMediaPlayer"/></div>
<map name="dir__e1f7d5df1447213cfb529aad5fa2c859__dep" id="dir__e1f7d5df1447213cfb529aad5fa2c859__dep">
<area shape="rect" id="node2" href="dir_d1a5c25c65a86ab490915a47e76c835a.html" title="include" alt="" coords="91,157,163,205"/>
<area shape="rect" id="node5" href="dir_655fbec917b1f23289d3ed8ec9803bf1.html" title="PlaylistParser" alt="" coords="5,253,108,301"/>
<area shape="rect" id="edge2-headlabel" href="dir_000262_000266.html" title="1" alt="" coords="89,237,96,250"/>
<area shape="rect" id="node6" href="dir_13e65effb2bde530b17b3d5eefcd0266.html" title="AVSCommon" alt="" coords="124,349,225,397"/>
<area shape="rect" id="edge3-headlabel" href="dir_000262_000015.html" title="11" alt="" coords="165,323,179,336"/>
<area shape="rect" id="node3" href="dir_f0ec0bc1067624a3e216a0b3de211133.html" title="src" alt="" coords="43,61,115,109"/>
<area shape="rect" id="edge8-headlabel" href="dir_000264_000262.html" title="11" alt="" coords="108,130,122,143"/>
<area shape="rect" id="edge7-headlabel" href="dir_000264_000266.html" title="2" alt="" coords="42,227,49,240"/>
<area shape="rect" id="edge9-headlabel" href="dir_000264_000015.html" title="12" alt="" coords="186,327,201,340"/>
<area shape="rect" id="node4" href="dir_c8b7016d00f27fb841ebdfed199c4e61.html" title="test" alt="" coords="139,61,211,109"/>
<area shape="rect" id="edge5-headlabel" href="dir_000265_000262.html" title="3" alt="" coords="152,138,159,151"/>
<area shape="rect" id="edge4-headlabel" href="dir_000265_000266.html" title="1" alt="" coords="62,229,69,242"/>
<area shape="rect" id="edge6-headlabel" href="dir_000265_000015.html" title="6" alt="" coords="208,332,215,346"/>
<area shape="rect" id="edge1-headlabel" href="dir_000266_000015.html" title="36" alt="" coords="128,324,143,338"/>
<area shape="rect" id="clust2" href="dir_e1f7d5df1447213cfb529aad5fa2c859.html" alt="" coords="33,51,406,216"/>
<area shape="rect" id="clust1" href="dir_9d34932954f3d83257e5e12e3f421a72.html" title="MediaPlayer" alt="" coords="22,16,417,227"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="subdirs"></a>
Directories</h2></td></tr>
<tr class="memitem:dir_d1a5c25c65a86ab490915a47e76c835a"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_d1a5c25c65a86ab490915a47e76c835a.html">include</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_f0ec0bc1067624a3e216a0b3de211133"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_f0ec0bc1067624a3e216a0b3de211133.html">src</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_c8b7016d00f27fb841ebdfed199c4e61"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_c8b7016d00f27fb841ebdfed199c4e61.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
